commit df15f2e55afda561dc49707e7d0e07db9b52fd3e
Author: Marek Lovčí <mareklovci@gmail.com>
Date:   Wed May 27 10:39:51 2020 +0200

    Cookie consent

diff --git a/composer.json b/composer.json
index 381c5ba..468e98e 100644
--- a/composer.json
+++ b/composer.json
@@ -14,7 +14,8 @@
         "guzzlehttp/guzzle": "^6.3",
         "laravel/framework": "^7.0",
         "laravel/tinker": "^2.0",
-        "laravel/ui": "^2.0"
+        "laravel/ui": "^2.0",
+        "spatie/laravel-cookie-consent": "^2.12"
     },
     "require-dev": {
         "facade/ignition": "^2.0",
diff --git a/composer.lock b/composer.lock
index e293684..2c22fd4 100644
--- a/composer.lock
+++ b/composer.lock
@@ -4,7 +4,7 @@
         "Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
         "This file is @generated automatically"
     ],
-    "content-hash": "f0dcbdc80776ca79d6311b8f92c5a4b5",
+    "content-hash": "f58cabd0613b5fb1c84929018285ce2e",
     "packages": [
         {
             "name": "asm89/stack-cors",
@@ -1966,6 +1966,73 @@
             ],
             "time": "2020-02-21T04:36:14+00:00"
         },
+        {
+            "name": "spatie/laravel-cookie-consent",
+            "version": "2.12.4",
+            "source": {
+                "type": "git",
+                "url": "https://github.com/spatie/laravel-cookie-consent.git",
+                "reference": "e455e6b45c68464ab8aad585ed51d1a098f967e4"
+            },
+            "dist": {
+                "type": "zip",
+                "url": "https://api.github.com/repos/spatie/laravel-cookie-consent/zipball/e455e6b45c68464ab8aad585ed51d1a098f967e4",
+                "reference": "e455e6b45c68464ab8aad585ed51d1a098f967e4",
+                "shasum": ""
+            },
+            "require": {
+                "illuminate/cookie": "~5.8.0|^6.0|^7.0",
+                "illuminate/support": "~5.8.0|^6.0|^7.0",
+                "illuminate/view": "~5.8.0|^6.0|^7.0",
+                "php": "^7.2"
+            },
+            "require-dev": {
+                "fzaninotto/faker": "~1.4",
+                "orchestra/testbench": "~3.8.0|^4.0|^5.0"
+            },
+            "type": "library",
+            "extra": {
+                "laravel": {
+                    "providers": [
+                        "Spatie\\CookieConsent\\CookieConsentServiceProvider"
+                    ]
+                }
+            },
+            "autoload": {
+                "psr-4": {
+                    "Spatie\\CookieConsent\\": "src"
+                }
+            },
+            "notification-url": "https://packagist.org/downloads/",
+            "license": [
+                "MIT"
+            ],
+            "authors": [
+                {
+                    "name": "Freek Van der Herten",
+                    "email": "freek@spatie.be",
+                    "homepage": "https://spatie.be",
+                    "role": "Developer"
+                },
+                {
+                    "name": "Willem Van Bockstal",
+                    "email": "willem@spatie.be",
+                    "homepage": "https://spatie.be",
+                    "role": "Developer"
+                }
+            ],
+            "description": "Make your Laravel app comply with the crazy EU cookie law",
+            "homepage": "https://github.com/spatie/cookie-consent",
+            "keywords": [
+                "comply",
+                "cookie",
+                "cookie-consent",
+                "eu",
+                "law",
+                "spatie"
+            ],
+            "time": "2020-05-14T16:57:04+00:00"
+        },
         {
             "name": "swiftmailer/swiftmailer",
             "version": "v6.2.3",
@@ -5506,6 +5573,5 @@
     "platform": {
         "php": "^7.2.5"
     },
-    "platform-dev": [],
-    "plugin-api-version": "1.1.0"
+    "platform-dev": []
 }
diff --git a/resources/lang/vendor/cookieConsent/cs/texts.php b/resources/lang/vendor/cookieConsent/cs/texts.php
new file mode 100644
index 0000000..3b4472e
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/cs/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Tato stránka používá cookies na vylepšení vašeho uživatelského zážitku.',
+    'agree' => 'Souhlasím',
+];
diff --git a/resources/lang/vendor/cookieConsent/da/texts.php b/resources/lang/vendor/cookieConsent/da/texts.php
new file mode 100644
index 0000000..5227bf6
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/da/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Din oplevelse på dette websted vil blive forbedret ved at tillade cookies.',
+    'agree' => 'Tillad cookies',
+];
diff --git a/resources/lang/vendor/cookieConsent/de/texts.php b/resources/lang/vendor/cookieConsent/de/texts.php
new file mode 100644
index 0000000..8e9d6d6
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/de/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Diese Seite verwendet Cookies um das Nutzererlebnis zu steigern.',
+    'agree' => 'Akzeptieren',
+];
diff --git a/resources/lang/vendor/cookieConsent/el/texts.php b/resources/lang/vendor/cookieConsent/el/texts.php
new file mode 100644
index 0000000..8033813
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/el/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Η ιστοσελίδα μας χρησιμοποιεί cookies για να βελτιώσει την εμπειρία περιήγησής σας.',
+    'agree' => 'Αποδοχή',
+];
diff --git a/resources/lang/vendor/cookieConsent/en/texts.php b/resources/lang/vendor/cookieConsent/en/texts.php
new file mode 100644
index 0000000..fda470d
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/en/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Your experience on this site will be improved by allowing cookies.',
+    'agree' => 'Allow cookies',
+];
diff --git a/resources/lang/vendor/cookieConsent/eo/texts.php b/resources/lang/vendor/cookieConsent/eo/texts.php
new file mode 100644
index 0000000..3e2bcab
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/eo/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Tiu ĉi retejo uzas kuketojn por plibonigi vian sperton.',
+    'agree' => 'Akcepti kuketojn',
+];
diff --git a/resources/lang/vendor/cookieConsent/es/texts.php b/resources/lang/vendor/cookieConsent/es/texts.php
new file mode 100644
index 0000000..c78f1eb
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/es/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Su experiencia en este sitio será mejorada con el uso de cookies.',
+    'agree' => 'Aceptar',
+];
diff --git a/resources/lang/vendor/cookieConsent/et/texts.php b/resources/lang/vendor/cookieConsent/et/texts.php
new file mode 100644
index 0000000..ce88c21
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/et/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Sellel veebilehel on kasutusel cookies-failid teie kasutajaliidese parandamiseks.',
+    'agree' => 'Sain aru',
+];
diff --git a/resources/lang/vendor/cookieConsent/fr/texts.php b/resources/lang/vendor/cookieConsent/fr/texts.php
new file mode 100644
index 0000000..e68a3dc
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/fr/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => "Ce site nécessite l'autorisation de cookies pour fonctionner correctement.",
+    'agree' => 'Accepter',
+];
diff --git a/resources/lang/vendor/cookieConsent/hu/texts.php b/resources/lang/vendor/cookieConsent/hu/texts.php
new file mode 100644
index 0000000..4ff3101
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/hu/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'A megfelelő élmény biztosításához sütikre van szükség.',
+    'agree' => 'Sütik engedélyezése',
+];
diff --git a/resources/lang/vendor/cookieConsent/it/texts.php b/resources/lang/vendor/cookieConsent/it/texts.php
new file mode 100644
index 0000000..91831f8
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/it/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Questo sito utilizza i cookies per offrire un\'esperienza migliore all\'utente.',
+    'agree' => 'Consenti i cookies',
+];
diff --git a/resources/lang/vendor/cookieConsent/kr/texts.php b/resources/lang/vendor/cookieConsent/kr/texts.php
new file mode 100644
index 0000000..67447ef
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/kr/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => '보다 나은 사용자 경험을 위해 쿠키를 허용해 주십시요.',
+    'agree' => '쿠키 허용',
+];
diff --git a/resources/lang/vendor/cookieConsent/nb/texts.php b/resources/lang/vendor/cookieConsent/nb/texts.php
new file mode 100644
index 0000000..e68d758
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/nb/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Vi bruker informasjonskapsler (cookies) som lagres i nettleseren din når du besøker nettsiden vår. Ved å fortsette å besøke nettsiden vår eller bruke tjenestene våre, godtar du at vi bruker informasjonskapsler.',
+    'agree' => 'Jeg forstår',
+];
diff --git a/resources/lang/vendor/cookieConsent/nl/texts.php b/resources/lang/vendor/cookieConsent/nl/texts.php
new file mode 100644
index 0000000..b84fc61
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/nl/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Uw ervaring op deze site wordt verbeterd door het gebruik van cookies.',
+    'agree' => 'Sta cookies toe',
+];
diff --git a/resources/lang/vendor/cookieConsent/pl/texts.php b/resources/lang/vendor/cookieConsent/pl/texts.php
new file mode 100644
index 0000000..75b8bd3
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/pl/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Twoje doświadczenia na tej witrynie będą lepsze dzięki cookies.',
+    'agree' => 'Zezwalaj na cookie',
+];
diff --git a/resources/lang/vendor/cookieConsent/pt/texts.php b/resources/lang/vendor/cookieConsent/pt/texts.php
new file mode 100644
index 0000000..1d7a64b
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/pt/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Este site utiliza cookies. Ao navegar no site estará a consentir a sua utilização.',
+    'agree' => 'Aceitar',
+];
diff --git a/resources/lang/vendor/cookieConsent/ro/texts.php b/resources/lang/vendor/cookieConsent/ro/texts.php
new file mode 100644
index 0000000..5567afa
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/ro/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Experiența ta pe acest site va fi îmbunătățită dacă acceptați folosirea de cookie-uri.',
+    'agree' => 'Acceptă cookie',
+];
diff --git a/resources/lang/vendor/cookieConsent/ru/texts.php b/resources/lang/vendor/cookieConsent/ru/texts.php
new file mode 100644
index 0000000..dc4afb4
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/ru/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'На этом сайте используются файлы cookies для улучшения вашего пользовательского интерфейса.',
+    'agree' => 'Разрешить',
+];
diff --git a/resources/lang/vendor/cookieConsent/sk/texts.php b/resources/lang/vendor/cookieConsent/sk/texts.php
new file mode 100644
index 0000000..63d623e
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/sk/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Táto stránka používa cookies na vylepšenie vášho užívateľského zážitku.',
+    'agree' => 'Súhlasím',
+];
diff --git a/resources/lang/vendor/cookieConsent/sv/texts.php b/resources/lang/vendor/cookieConsent/sv/texts.php
new file mode 100644
index 0000000..0f51df7
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/sv/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Vi använder kakor (cookies) för att webbplatsen ska fungera på ett bra sätt för dig. Genom att surfa vidare godkänner du att vi använder kakor.',
+    'agree' => 'Jag förstår',
+];
diff --git a/resources/lang/vendor/cookieConsent/tr/texts.php b/resources/lang/vendor/cookieConsent/tr/texts.php
new file mode 100644
index 0000000..c819cab
--- /dev/null
+++ b/resources/lang/vendor/cookieConsent/tr/texts.php
@@ -0,0 +1,6 @@
+<?php
+
+return [
+    'message' => 'Bu sitedeki deneyiminizi çerezlere izin vererek geliştirebilirsiniz.',
+    'agree' => 'Çerezlere izin ver',
+];
diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index bcb814d..42ee05f 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -916,6 +916,41 @@ body {
     margin-bottom: 3rem;
 }
 
+.js-cookie-consent {
+    position: fixed;
+    z-index: 9999;
+    text-align: center;
+    width: 100%;
+    bottom: 0px;
+    padding: 10px;
+    background: $theme-color-four;
+}
+
+.js-cookie-consent-agree {
+    font-size: 8pt;
+    background-color: $theme-color-five;
+    color: $theme-color-one;
+    border: 0.5pt solid $theme-color-one;
+    border-radius: 0;
+    padding: 0.5rem 2rem;
+    font-weight: $font-weight-one;
+
+    &:active, &:focus, &:visited, &:hover {
+        outline: none;
+        box-shadow: none;
+        color: $theme-color-one;
+    }
+
+    &:hover {
+        color: $theme-color-four;
+    }
+}
+
+.cookie-consent__message {
+    padding: 1rem;
+    display: inline-block;
+}
+
 // books component
 .books-component {
 
@@ -1122,6 +1157,12 @@ body {
     }
 }
 
+@media (max-width: 610px) {
+    .js-cookie-consent-agree {
+        margin-bottom: 1rem;
+    }
+}
+
 @media screen and (max-height: 450px) {
     .sidenav a {
         font-size: 18px;
diff --git a/resources/views/layouts/app.blade.php b/resources/views/layouts/app.blade.php
index 23f08cf..5006a23 100644
--- a/resources/views/layouts/app.blade.php
+++ b/resources/views/layouts/app.blade.php
@@ -26,5 +26,9 @@
 
 @yield('content')
 
+@if(!Request::is('/'))
+    @include('cookieConsent::index')
+@endif
+
 </body>
 </html>