commit 1f77dd6416dd8f7b121101ece089abfe5e4ca21f
Author: ballakt <ballakt@zcu.cz>
Date:   Sat Apr 11 19:17:37 2020 +0000

    Bug #7865 Issue with cache in Symfony

diff --git a/.docker-compose-dev.yml b/.docker-compose-dev.yml
index 7d33a96..1501f0f 100644
--- a/.docker-compose-dev.yml
+++ b/.docker-compose-dev.yml
@@ -25,7 +25,7 @@ services:
                ports:
                        - "80:80"
                volumes:
-                       - ./logs:/var/nginx/log
+                       - ./logs/nginx:/var/log/nginx
                        - ./website/:/var/www/symfony
                container_name: "heatmap_nginx"
        database:
diff --git a/README.md b/README.md
index c47877c..b86819e 100644
--- a/README.md
+++ b/README.md
@@ -6,7 +6,7 @@
 
 ## 🔩 Development env
 
-* Install **[🐳 docker](https://www.docker.com/)** and **[📝 vscode](https://code.visualstudio.com/)**
+* Install **latest php**,  **[🐳 docker](https://www.docker.com/)** and **[📝 vscode](https://code.visualstudio.com/)**
 * Then run `./scripts/dev/build.sh` or `scripts/dev/build.bat` in the root of the project
 * When you run `docker ps` you should see these containers: **heatmap_nginx**, **heatmap_php-fpm** and **heatmap_mongodb**
 * Symfony project should be available on http://localhost:80
@@ -18,6 +18,6 @@
   * require `./scripts/composer.sh require package_name`
 ### PHP Linter in vscode
 * If you want check your code style is in the right format press <kbd>F1</kbd> choose `Tasks: Run Task` and `PHP Linter`
-* If you want to format the current file you use <kbd>CTRL+Shift+I</kbd> or <kbd>🖱️ RightClick</kbd> + `Format Document`
+* If you want to format the current file just press <kbd>F1</kbd> choose `Tasks: Run Task` and `Format`
 ## 🚀 Production env
 * To run production env on your local machine execute this `./scripts/build.sh`
\ No newline at end of file
diff --git a/build/php-fpm/Dockerfile b/build/php-fpm/Dockerfile
index 6d74dac..1689b7a 100644
--- a/build/php-fpm/Dockerfile
+++ b/build/php-fpm/Dockerfile
@@ -2,15 +2,18 @@ FROM php:7.4-fpm-alpine
 RUN apk update; \
 	apk upgrade; \
 	apk add autoconf openssl-dev g++ make && \
+    echo "**** install MongoDB ****\n" && \
 	pecl install mongodb && \
 	docker-php-ext-enable mongodb; \
 	apk del --purge autoconf openssl-dev g++ make;
-RUN echo "**** install Python ****" && \
+RUN echo "**** install Python ****\n" && \
     apk add --no-cache python3 && \
     if [ ! -e /usr/bin/python ]; then ln -sf python3 /usr/bin/python ; fi && \
     \
-    echo "**** install pip ****" && \
+    echo "**** install pip ****\n" && \
     python3 -m ensurepip && \
     rm -r /usr/lib/python*/ensurepip && \
     pip3 install --no-cache --upgrade pip setuptools wheel && \
-    if [ ! -e /usr/bin/pip ]; then ln -s pip3 /usr/bin/pip ; fi
\ No newline at end of file
+    if [ ! -e /usr/bin/pip ]; then ln -s pip3 /usr/bin/pip ; fi
+RUN echo "**** install PHP Composer ****\n" && \
+    curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
\ No newline at end of file
diff --git a/build/php-fpm/dev/Dockerfile b/build/php-fpm/dev/Dockerfile
index e278a85..bfb1093 100644
--- a/build/php-fpm/dev/Dockerfile
+++ b/build/php-fpm/dev/Dockerfile
@@ -24,4 +24,6 @@ RUN apk --update --no-cache add autoconf g++ make && \
     pecl install -f xdebug-2.9.4 && \
     docker-php-ext-enable xdebug && \
     apk del --purge autoconf g++ make
-RUN echo zend_extension="$(find / -name 'xdebug.so')" >> /etc/php7/conf.d/xdebug.ini
\ No newline at end of file
+RUN echo zend_extension="$(find / -name 'xdebug.so')" >> /etc/php7/conf.d/xdebug.ini
+RUN echo "**** install PHP Composer ****\n" && \
+    curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
diff --git a/scripts/build.sh b/scripts/build.sh
index 5cdb3ba..f5b30f2 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -1,6 +1,5 @@
 #!/bin/bash
 #Build development environment
 docker-compose down
-docker-compose build
-docker-compose up -d
-docker run --rm --interactive --volume $PWD/website:/app composer install --no-dev
\ No newline at end of file
+docker-compose up --build -d
+docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony --no-dev
\ No newline at end of file
diff --git a/scripts/composer.sh b/scripts/composer.sh
index 236a5ae..e6a594a 100755
--- a/scripts/composer.sh
+++ b/scripts/composer.sh
@@ -7,4 +7,4 @@ cat << "EOF"
  \ \_____\ \_____\ \_\ \ \_\ \_\  \ \_____\/\_____\ \_____\ \_\ \_\
   \/_____/\/_____/\/_/  \/_/\/_/   \/_____/\/_____/\/_____/\/_/ /_/
 EOF
-docker run --rm --interactive --volume $PWD:/app composer $@
+docker-compose exec php-fpm composer --working-dir=/var/www/symfony $@
diff --git a/scripts/dev/build.bat b/scripts/dev/build.bat
index 132e9dc..755ed62 100644
--- a/scripts/dev/build.bat
+++ b/scripts/dev/build.bat
@@ -1,3 +1,3 @@
 docker-compose down
 docker-compose -f .docker-compose-dev.yml up --build -d
-docker run --rm --interactive --tty --volume %CD%/website:/app composer install
\ No newline at end of file
+docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
\ No newline at end of file
diff --git a/scripts/dev/build.sh b/scripts/dev/build.sh
index 311686d..4a7012f 100755
--- a/scripts/dev/build.sh
+++ b/scripts/dev/build.sh
@@ -9,4 +9,4 @@ cat << "EOF"
  \ \_____\ \_____\ \_\ \ \_\ \_\  \ \_____\/\_____\ \_____\ \_\ \_\    \ \_\ \_\\"\_\/\_____\ \ \_\\ \_\ \_\ \_____\ \_____\ 
   \/_____/\/_____/\/_/  \/_/\/_/   \/_____/\/_____/\/_____/\/_/ /_/     \/_/\/_/ \/_/\/_____/  \/_/ \/_/\/_/\/_____/\/_____/                                                                                                                                                                                                                                                                                                                                                                                                                                      
 EOF
-docker run --rm --interactive --volume $PWD/website:/app composer install
+docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
\ No newline at end of file
diff --git a/website/composer.json b/website/composer.json
index 6fe3923..b09cacc 100644
--- a/website/composer.json
+++ b/website/composer.json
@@ -7,6 +7,7 @@
         "php": "^7.2.5",
         "ext-ctype": "*",
         "ext-iconv": "*",
+        "sensio/framework-extra-bundle": "^5.5",
         "symfony/console": "5.0.*",
         "symfony/dotenv": "5.0.*",
         "symfony/flex": "^1.3.1",
diff --git a/website/composer.lock b/website/composer.lock
index 2e2f969..7d7fb28 100644
--- a/website/composer.lock
+++ b/website/composer.lock
@@ -4,8 +4,139 @@
         "Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
         "This file is @generated automatically"
     ],
-    "content-hash": "492faf1d6a3fd9107c34dc79aa1566be",
+    "content-hash": "032bc0061131fefa9b8aebddb553037c",
     "packages": [
+        {
+            "name": "doctrine/annotations",
+            "version": "1.10.1",
+            "source": {
+                "type": "git",
+                "url": "https://github.com/doctrine/annotations.git",
+                "reference": "5eb79f3dbdffed6544e1fc287572c0f462bd29bb"
+            },
+            "dist": {
+                "type": "zip",
+                "url": "https://api.github.com/repos/doctrine/annotations/zipball/5eb79f3dbdffed6544e1fc287572c0f462bd29bb",
+                "reference": "5eb79f3dbdffed6544e1fc287572c0f462bd29bb",
+                "shasum": ""
+            },
+            "require": {
+                "doctrine/lexer": "1.*",
+                "ext-tokenizer": "*",
+                "php": "^7.1"
+            },
+            "require-dev": {
+                "doctrine/cache": "1.*",
+                "phpunit/phpunit": "^7.5"
+            },
+            "type": "library",
+            "extra": {
+                "branch-alias": {
+                    "dev-master": "1.9.x-dev"
+                }
+            },
+            "autoload": {
+                "psr-4": {
+                    "Doctrine\\Common\\Annotations\\": "lib/Doctrine/Common/Annotations"
+                }
+            },
+            "notification-url": "https://packagist.org/downloads/",
+            "license": [
+                "MIT"
+            ],
+            "authors": [
+                {
+                    "name": "Guilherme Blanco",
+                    "email": "guilhermeblanco@gmail.com"
+                },
+                {
+                    "name": "Roman Borschel",
+                    "email": "roman@code-factory.org"
+                },
+                {
+                    "name": "Benjamin Eberlei",
+                    "email": "kontakt@beberlei.de"
+                },
+                {
+                    "name": "Jonathan Wage",
+                    "email": "jonwage@gmail.com"
+                },
+                {
+                    "name": "Johannes Schmitt",
+                    "email": "schmittjoh@gmail.com"
+                }
+            ],
+            "description": "Docblock Annotations Parser",
+            "homepage": "http://www.doctrine-project.org",
+            "keywords": [
+                "annotations",
+                "docblock",
+                "parser"
+            ],
+            "time": "2020-04-02T12:33:25+00:00"
+        },
+        {
+            "name": "doctrine/lexer",
+            "version": "1.2.0",
+            "source": {
+                "type": "git",
+                "url": "https://github.com/doctrine/lexer.git",
+                "reference": "5242d66dbeb21a30dd8a3e66bf7a73b66e05e1f6"
+            },
+            "dist": {
+                "type": "zip",
+                "url": "https://api.github.com/repos/doctrine/lexer/zipball/5242d66dbeb21a30dd8a3e66bf7a73b66e05e1f6",
+                "reference": "5242d66dbeb21a30dd8a3e66bf7a73b66e05e1f6",
+                "shasum": ""
+            },
+            "require": {
+                "php": "^7.2"
+            },
+            "require-dev": {
+                "doctrine/coding-standard": "^6.0",
+                "phpstan/phpstan": "^0.11.8",
+                "phpunit/phpunit": "^8.2"
+            },
+            "type": "library",
+            "extra": {
+                "branch-alias": {
+                    "dev-master": "1.2.x-dev"
+                }
+            },
+            "autoload": {
+                "psr-4": {
+                    "Doctrine\\Common\\Lexer\\": "lib/Doctrine/Common/Lexer"
+                }
+            },
+            "notification-url": "https://packagist.org/downloads/",
+            "license": [
+                "MIT"
+            ],
+            "authors": [
+                {
+                    "name": "Guilherme Blanco",
+                    "email": "guilhermeblanco@gmail.com"
+                },
+                {
+                    "name": "Roman Borschel",
+                    "email": "roman@code-factory.org"
+                },
+                {
+                    "name": "Johannes Schmitt",
+                    "email": "schmittjoh@gmail.com"
+                }
+            ],
+            "description": "PHP Doctrine Lexer parser library that can be used in Top-Down, Recursive Descent Parsers.",
+            "homepage": "https://www.doctrine-project.org/projects/lexer.html",
+            "keywords": [
+                "annotations",
+                "docblock",
+                "lexer",
+                "parser",
+                "php"
+            ],
+            "time": "2019-10-30T14:39:59+00:00"
+        },
         {
             "name": "psr/cache",
             "version": "1.0.1",
@@ -194,6 +325,79 @@
             ],
             "time": "2020-03-23T09:12:05+00:00"
         },
+        {
+            "name": "sensio/framework-extra-bundle",
+            "version": "v5.5.4",
+            "source": {
+                "type": "git",
+                "url": "https://github.com/sensiolabs/SensioFrameworkExtraBundle.git",
+                "reference": "d0585d4825a87a5030ca8cd34adb4a17e1066c17"
+            },
+            "dist": {
+                "type": "zip",
+                "url": "https://api.github.com/repos/sensiolabs/SensioFrameworkExtraBundle/zipball/d0585d4825a87a5030ca8cd34adb4a17e1066c17",
+                "reference": "d0585d4825a87a5030ca8cd34adb4a17e1066c17",
+                "shasum": ""
+            },
+            "require": {
+                "doctrine/annotations": "^1.0",
+                "php": ">=7.1.3",
+                "symfony/config": "^4.4|^5.0",
+                "symfony/dependency-injection": "^4.4|^5.0",
+                "symfony/framework-bundle": "^4.4|^5.0",
+                "symfony/http-kernel": "^4.4|^5.0"
+            },
+            "conflict": {
+                "doctrine/doctrine-cache-bundle": "<1.3.1"
+            },
+            "require-dev": {
+                "doctrine/doctrine-bundle": "^1.11|^2.0",
+                "doctrine/orm": "^2.5",
+                "nyholm/psr7": "^1.1",
+                "symfony/browser-kit": "^4.4|^5.0",
+                "symfony/dom-crawler": "^4.4|^5.0",
+                "symfony/expression-language": "^4.4|^5.0",
+                "symfony/finder": "^4.4|^5.0",
+                "symfony/monolog-bridge": "^4.0|^5.0",
+                "symfony/monolog-bundle": "^3.2",
+                "symfony/phpunit-bridge": "^4.3.5|^5.0",
+                "symfony/psr-http-message-bridge": "^1.1",
+                "symfony/security-bundle": "^4.4|^5.0",
+                "symfony/twig-bundle": "^4.4|^5.0",
+                "symfony/yaml": "^4.4|^5.0",
+                "twig/twig": "^1.34|^2.4|^3.0"
+            },
+            "type": "symfony-bundle",
+            "extra": {
+                "branch-alias": {
+                    "dev-master": "5.5.x-dev"
+                }
+            },
+            "autoload": {
+                "psr-4": {
+                    "Sensio\\Bundle\\FrameworkExtraBundle\\": "src/"
+                },
+                "exclude-from-classmap": [
+                    "/tests/"
+                ]
+            },
+            "notification-url": "https://packagist.org/downloads/",
+            "license": [
+                "MIT"
+            ],
+            "authors": [
+                {
+                    "name": "Fabien Potencier",
+                    "email": "fabien@symfony.com"
+                }
+            ],
+            "description": "This bundle provides a way to configure your controllers with annotations",
+            "keywords": [
+                "annotations",
+                "controllers"
+            ],
+            "time": "2020-04-06T12:20:39+00:00"
+        },
         {
             "name": "symfony/cache",
             "version": "v5.0.7",
@@ -2175,137 +2379,6 @@
             ],
             "time": "2020-03-01T12:26:26+00:00"
         },
-        {
-            "name": "doctrine/annotations",
-            "version": "1.10.1",
-            "source": {
-                "type": "git",
-                "url": "https://github.com/doctrine/annotations.git",
-                "reference": "5eb79f3dbdffed6544e1fc287572c0f462bd29bb"
-            },
-            "dist": {
-                "type": "zip",
-                "url": "https://api.github.com/repos/doctrine/annotations/zipball/5eb79f3dbdffed6544e1fc287572c0f462bd29bb",
-                "reference": "5eb79f3dbdffed6544e1fc287572c0f462bd29bb",
-                "shasum": ""
-            },
-            "require": {
-                "doctrine/lexer": "1.*",
-                "ext-tokenizer": "*",
-                "php": "^7.1"
-            },
-            "require-dev": {
-                "doctrine/cache": "1.*",
-                "phpunit/phpunit": "^7.5"
-            },
-            "type": "library",
-            "extra": {
-                "branch-alias": {
-                    "dev-master": "1.9.x-dev"
-                }
-            },
-            "autoload": {
-                "psr-4": {
-                    "Doctrine\\Common\\Annotations\\": "lib/Doctrine/Common/Annotations"
-                }
-            },
-            "notification-url": "https://packagist.org/downloads/",
-            "license": [
-                "MIT"
-            ],
-            "authors": [
-                {
-                    "name": "Guilherme Blanco",
-                    "email": "guilhermeblanco@gmail.com"
-                },
-                {
-                    "name": "Roman Borschel",
-                    "email": "roman@code-factory.org"
-                },
-                {
-                    "name": "Benjamin Eberlei",
-                    "email": "kontakt@beberlei.de"
-                },
-                {
-                    "name": "Jonathan Wage",
-                    "email": "jonwage@gmail.com"
-                },
-                {
-                    "name": "Johannes Schmitt",
-                    "email": "schmittjoh@gmail.com"
-                }
-            ],
-            "description": "Docblock Annotations Parser",
-            "homepage": "http://www.doctrine-project.org",
-            "keywords": [
-                "annotations",
-                "docblock",
-                "parser"
-            ],
-            "time": "2020-04-02T12:33:25+00:00"
-        },
-        {
-            "name": "doctrine/lexer",
-            "version": "1.2.0",
-            "source": {
-                "type": "git",
-                "url": "https://github.com/doctrine/lexer.git",
-                "reference": "5242d66dbeb21a30dd8a3e66bf7a73b66e05e1f6"
-            },
-            "dist": {
-                "type": "zip",
-                "url": "https://api.github.com/repos/doctrine/lexer/zipball/5242d66dbeb21a30dd8a3e66bf7a73b66e05e1f6",
-                "reference": "5242d66dbeb21a30dd8a3e66bf7a73b66e05e1f6",
-                "shasum": ""
-            },
-            "require": {
-                "php": "^7.2"
-            },
-            "require-dev": {
-                "doctrine/coding-standard": "^6.0",
-                "phpstan/phpstan": "^0.11.8",
-                "phpunit/phpunit": "^8.2"
-            },
-            "type": "library",
-            "extra": {
-                "branch-alias": {
-                    "dev-master": "1.2.x-dev"
-                }
-            },
-            "autoload": {
-                "psr-4": {
-                    "Doctrine\\Common\\Lexer\\": "lib/Doctrine/Common/Lexer"
-                }
-            },
-            "notification-url": "https://packagist.org/downloads/",
-            "license": [
-                "MIT"
-            ],
-            "authors": [
-                {
-                    "name": "Guilherme Blanco",
-                    "email": "guilhermeblanco@gmail.com"
-                },
-                {
-                    "name": "Roman Borschel",
-                    "email": "roman@code-factory.org"
-                },
-                {
-                    "name": "Johannes Schmitt",
-                    "email": "schmittjoh@gmail.com"
-                }
-            ],
-            "description": "PHP Doctrine Lexer parser library that can be used in Top-Down, Recursive Descent Parsers.",
-            "homepage": "https://www.doctrine-project.org/projects/lexer.html",
-            "keywords": [
-                "annotations",
-                "docblock",
-                "lexer",
-                "parser",
-                "php"
-            ],
-            "time": "2019-10-30T14:39:59+00:00"
-        },
         {
             "name": "friendsofphp/php-cs-fixer",
             "version": "v2.16.1",
@@ -2612,20 +2685,6 @@
             ],
             "description": "Symfony Process Component",
             "homepage": "https://symfony.com",
-            "funding": [
-                {
-                    "url": "https://symfony.com/sponsor",
-                    "type": "custom"
-                },
-                {
-                    "url": "https://github.com/fabpot",
-                    "type": "github"
-                },
-                {
-                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
-                    "type": "tidelift"
-                }
-            ],
             "time": "2020-03-27T16:56:45+00:00"
         },
         {
diff --git a/website/config/bundles.php b/website/config/bundles.php
index 49d3fb6..0d71512 100644
--- a/website/config/bundles.php
+++ b/website/config/bundles.php
@@ -2,4 +2,5 @@
 
 return [
     Symfony\Bundle\FrameworkBundle\FrameworkBundle::class => ['all' => true],
+    Sensio\Bundle\FrameworkExtraBundle\SensioFrameworkExtraBundle::class => ['all' => true],
 ];
diff --git a/website/config/packages/sensio_framework_extra.yaml b/website/config/packages/sensio_framework_extra.yaml
new file mode 100644
index 0000000..1821ccc
--- /dev/null
+++ b/website/config/packages/sensio_framework_extra.yaml
@@ -0,0 +1,3 @@
+sensio_framework_extra:
+    router:
+        annotations: false
diff --git a/website/config/routes.yaml b/website/config/routes.yaml
index c3283aa..1cd7832 100644
--- a/website/config/routes.yaml
+++ b/website/config/routes.yaml
@@ -1,3 +1,3 @@
-#index:
-#    path: /
-#    controller: App\Controller\DefaultController::index
+index:
+    path: /
+    controller: App\Controller\DefaultController::index
diff --git a/website/src/Controller/.gitkeep b/website/src/Controller/.gitkeep
deleted file mode 100644
index e69de29..0000000
diff --git a/website/src/Controller/DefaultController.php b/website/src/Controller/DefaultController.php
new file mode 100644
index 0000000..3b398b3
--- /dev/null
+++ b/website/src/Controller/DefaultController.php
@@ -0,0 +1,15 @@
+<?php
+
+namespace App\Controller;
+
+use Symfony\Component\HttpFoundation\Response;
+
+class DefaultController {
+    public function index(): Response {
+        $number = random_int(0, 100);
+
+        return new Response(
+            '<html><body>'.$number.'</body></html>'
+        );
+    }
+}
diff --git a/website/symfony.code-workspace b/website/symfony.code-workspace
index 10760ba..8afdecf 100644
--- a/website/symfony.code-workspace
+++ b/website/symfony.code-workspace
@@ -7,28 +7,31 @@
 	"settings": {
 		"php.suggest.basic":false,
 		"files.autoSave": "afterDelay",
-		"php-cs-fixer.onsave": false,
-		"php-cs-fixer.rules": "@PSR2",
-		"php-cs-fixer.config": ".php_cs",
-		"php-cs-fixer.executablePath": "${workspaceRoot}/vendor/bin/php-cs-fixer",
-		"php-cs-fixer.executablePathWindows": "${workspaceRoot}\\vendor\\bin\\php-cs-fixer"
 	},
 	"extensions": {
 		"recommendations": [
 			"vscode-icons-team.vscode-icons",
-			"felixfbecker.php-intellisense",
-			"junstyle.php-cs-fixer"
+			"felixfbecker.php-intellisense"
 		]
 	},
 	"tasks": {
 		"version": "2.0.0",
 		"tasks": [{
 			"label": "PHP Linter",
-			"command": "${workspaceRoot}/vendor/bin/php-cs-fixer",
-			"args": ["fix", "--dry-run", "--config", ".php_cs", "--stop-on-violation", "--using-cache=no"],
+			"command": "docker-compose",
+			"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer","fix", "--dry-run", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation", "--using-cache=no"],
 			"windows":{
-				"command": "${workspaceRoot}\\vendor\\bin\\php-cs-fixer",
-				"args": ["fix", "--dry-run", "--config", ".php_cs", "--stop-on-violation", "--using-cache=no"],
+				"command": "docker-compose",
+				"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer", "fix", "--dry-run", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation", "--using-cache=no"],
+			}
+		},
+		{
+			"label": "Format",
+			"command": "docker-compose",
+			"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer","fix", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation"],
+			"windows":{
+				"command": "docker-compose",
+				"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer", "fix", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation"],
 			}
 		}]
 	},
@@ -37,9 +40,7 @@
             "name": "Listen for XDebug",
             "type": "php",
             "request": "launch",
-			"port": 9000,
-			"pathMappings": {  
-				"/var/www/symfony/public": "${workspaceRoot}/public"
-			}}]
+			"port": 9000
+			}]
 	}
 }
\ No newline at end of file
diff --git a/website/symfony.lock b/website/symfony.lock
index 98c7f64..c47b2d5 100644
--- a/website/symfony.lock
+++ b/website/symfony.lock
@@ -50,6 +50,18 @@
     "psr/log": {
         "version": "1.1.3"
     },
+    "sensio/framework-extra-bundle": {
+        "version": "5.2",
+        "recipe": {
+            "repo": "github.com/symfony/recipes",
+            "branch": "master",
+            "version": "5.2",
+            "ref": "fb7e19da7f013d0d422fa9bce16f5c510e27609b"
+        },
+        "files": [
+            "config/packages/sensio_framework_extra.yaml"
+        ]
+    },
     "squizlabs/php_codesniffer": {
         "version": "3.0",
         "recipe": {